Index: trunk/source/digits_hits/detector/include/G4CellScoreComposer.hh
===================================================================
--- trunk/source/digits_hits/detector/include/G4CellScoreComposer.hh	(revision 1202)
+++ trunk/source/digits_hits/detector/include/G4CellScoreComposer.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4CellScoreComposer.hh,v 1.2 2006/06/29 18:05:06 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // ----------------------------------------------------------------------
Index: trunk/source/digits_hits/detector/include/G4CellScoreValues.hh
===================================================================
--- trunk/source/digits_hits/detector/include/G4CellScoreValues.hh	(revision 1202)
+++ trunk/source/digits_hits/detector/include/G4CellScoreValues.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4CellScoreValues.hh,v 1.2 2006/06/29 18:05:08 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // ----------------------------------------------------------------------
Index: trunk/source/digits_hits/detector/include/G4CollectionNameVector.hh
===================================================================
--- trunk/source/digits_hits/detector/include/G4CollectionNameVector.hh	(revision 1202)
+++ trunk/source/digits_hits/detector/include/G4CollectionNameVector.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4CollectionNameVector.hh,v 1.2 2006/06/29 18:05:12 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 
Index: trunk/source/digits_hits/detector/include/G4HCtable.hh
===================================================================
--- trunk/source/digits_hits/detector/include/G4HCtable.hh	(revision 1202)
+++ trunk/source/digits_hits/detector/include/G4HCtable.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4HCtable.hh,v 1.3 2006/06/29 18:05:15 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 
Index: trunk/source/digits_hits/detector/include/G4MultiFunctionalDetector.hh
===================================================================
--- trunk/source/digits_hits/detector/include/G4MultiFunctionalDetector.hh	(revision 1202)
+++ trunk/source/digits_hits/detector/include/G4MultiFunctionalDetector.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4MultiFunctionalDetector.hh,v 1.3 2006/06/29 18:05:17 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 
Index: trunk/source/digits_hits/detector/include/G4SDManager.hh
===================================================================
--- trunk/source/digits_hits/detector/include/G4SDManager.hh	(revision 1202)
+++ trunk/source/digits_hits/detector/include/G4SDManager.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4SDManager.hh,v 1.4 2006/06/29 18:05:19 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 
Index: trunk/source/digits_hits/detector/include/G4SDStructure.hh
===================================================================
--- trunk/source/digits_hits/detector/include/G4SDStructure.hh	(revision 1202)
+++ trunk/source/digits_hits/detector/include/G4SDStructure.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4SDStructure.hh,v 1.3 2006/06/29 18:05:22 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 
Index: trunk/source/digits_hits/detector/include/G4SDmessenger.hh
===================================================================
--- trunk/source/digits_hits/detector/include/G4SDmessenger.hh	(revision 1202)
+++ trunk/source/digits_hits/detector/include/G4SDmessenger.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4SDmessenger.hh,v 1.2 2006/06/29 18:05:24 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 
Index: trunk/source/digits_hits/detector/include/G4SensitiveVolumeList.hh
===================================================================
--- trunk/source/digits_hits/detector/include/G4SensitiveVolumeList.hh	(revision 1202)
+++ trunk/source/digits_hits/detector/include/G4SensitiveVolumeList.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4SensitiveVolumeList.hh,v 1.2 2006/06/29 18:05:26 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // ------------------------------------------------------------
Index: trunk/source/digits_hits/detector/include/G4SensitiveVolumeList.icc
===================================================================
--- trunk/source/digits_hits/detector/include/G4SensitiveVolumeList.icc	(revision 1202)
+++ trunk/source/digits_hits/detector/include/G4SensitiveVolumeList.icc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4SensitiveVolumeList.icc,v 1.2 2006/06/29 18:05:28 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // -----------------------------------------------------------
Index: trunk/source/digits_hits/detector/include/G4TrackLogger.hh
===================================================================
--- trunk/source/digits_hits/detector/include/G4TrackLogger.hh	(revision 1202)
+++ trunk/source/digits_hits/detector/include/G4TrackLogger.hh	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4TrackLogger.hh,v 1.2 2006/06/29 18:05:30 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // ----------------------------------------------------------------------
Index: trunk/source/digits_hits/detector/include/G4VPrimitiveScorer.hh
===================================================================
--- trunk/source/digits_hits/detector/include/G4VPrimitiveScorer.hh	(revision 1202)
+++ trunk/source/digits_hits/detector/include/G4VPrimitiveScorer.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4VPrimitiveScorer.hh,v 1.3 2007/08/28 07:51:45 asaim Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 
Index: trunk/source/digits_hits/detector/include/G4VReadOutGeometry.hh
===================================================================
--- trunk/source/digits_hits/detector/include/G4VReadOutGeometry.hh	(revision 1202)
+++ trunk/source/digits_hits/detector/include/G4VReadOutGeometry.hh	(revision 1228)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4VReadOutGeometry.hh,v 1.2 2006/06/29 18:05:34 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// $Id: G4VReadOutGeometry.hh,v 1.3 2009/11/23 18:13:30 asaim Exp $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // ------------------------------------------------------------
@@ -59,8 +59,8 @@
       // the G4Navigator used to navigate inside this ROGeometry.
       void BuildROGeometry();
-      G4bool CheckROVolume(G4Step*,G4TouchableHistory*&);
+      virtual G4bool CheckROVolume(G4Step*,G4TouchableHistory*&);
 
   protected:
-      G4bool FindROTouchable(G4Step*);
+      virtual G4bool FindROTouchable(G4Step*);
 
       G4VPhysicalVolume* ROworld;
@@ -69,5 +69,5 @@
       G4String name;
 
-  private:
+  protected:
       G4Navigator*        ROnavigator;
       G4TouchableHistory* touchableHistory;
Index: trunk/source/digits_hits/detector/include/G4VSDFilter.hh
===================================================================
--- trunk/source/digits_hits/detector/include/G4VSDFilter.hh	(revision 1202)
+++ trunk/source/digits_hits/detector/include/G4VSDFilter.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4VSDFilter.hh,v 1.2 2006/06/29 18:05:37 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 
Index: trunk/source/digits_hits/detector/include/G4VSensitiveDetector.hh
===================================================================
--- trunk/source/digits_hits/detector/include/G4VSensitiveDetector.hh	(revision 1202)
+++ trunk/source/digits_hits/detector/include/G4VSensitiveDetector.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4VSensitiveDetector.hh,v 1.4 2006/06/29 18:05:39 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 
Index: trunk/source/digits_hits/detector/src/G4CellScoreComposer.cc
===================================================================
--- trunk/source/digits_hits/detector/src/G4CellScoreComposer.cc	(revision 1202)
+++ trunk/source/digits_hits/detector/src/G4CellScoreComposer.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4CellScoreComposer.cc,v 1.3 2006/06/29 18:05:41 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // ----------------------------------------------------------------------
Index: trunk/source/digits_hits/detector/src/G4HCtable.cc
===================================================================
--- trunk/source/digits_hits/detector/src/G4HCtable.cc	(revision 1202)
+++ trunk/source/digits_hits/detector/src/G4HCtable.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4HCtable.cc,v 1.4 2006/06/29 18:05:45 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 
Index: trunk/source/digits_hits/detector/src/G4MultiFunctionalDetector.cc
===================================================================
--- trunk/source/digits_hits/detector/src/G4MultiFunctionalDetector.cc	(revision 1202)
+++ trunk/source/digits_hits/detector/src/G4MultiFunctionalDetector.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4MultiFunctionalDetector.cc,v 1.5 2008/03/06 23:31:12 asaim Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // G4MultiFunctionalDetector
Index: trunk/source/digits_hits/detector/src/G4SDManager.cc
===================================================================
--- trunk/source/digits_hits/detector/src/G4SDManager.cc	(revision 1202)
+++ trunk/source/digits_hits/detector/src/G4SDManager.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4SDManager.cc,v 1.4 2006/06/29 18:05:50 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 
Index: trunk/source/digits_hits/detector/src/G4SDStructure.cc
===================================================================
--- trunk/source/digits_hits/detector/src/G4SDStructure.cc	(revision 1202)
+++ trunk/source/digits_hits/detector/src/G4SDStructure.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4SDStructure.cc,v 1.3 2006/06/29 18:05:53 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 
Index: trunk/source/digits_hits/detector/src/G4SDmessenger.cc
===================================================================
--- trunk/source/digits_hits/detector/src/G4SDmessenger.cc	(revision 1202)
+++ trunk/source/digits_hits/detector/src/G4SDmessenger.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4SDmessenger.cc,v 1.2 2006/06/29 18:05:56 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // ---------------------------------------------------------------------
Index: trunk/source/digits_hits/detector/src/G4SensitiveVolumeList.cc
===================================================================
--- trunk/source/digits_hits/detector/src/G4SensitiveVolumeList.cc	(revision 1202)
+++ trunk/source/digits_hits/detector/src/G4SensitiveVolumeList.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4SensitiveVolumeList.cc,v 1.2 2006/06/29 18:05:59 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // --------------------------------------------------------------
Index: trunk/source/digits_hits/detector/src/G4TrackLogger.cc
===================================================================
--- trunk/source/digits_hits/detector/src/G4TrackLogger.cc	(revision 1202)
+++ trunk/source/digits_hits/detector/src/G4TrackLogger.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4TrackLogger.cc,v 1.3 2006/06/29 18:06:01 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // ----------------------------------------------------------------------
Index: trunk/source/digits_hits/detector/src/G4VPrimitiveScorer.cc
===================================================================
--- trunk/source/digits_hits/detector/src/G4VPrimitiveScorer.cc	(revision 1202)
+++ trunk/source/digits_hits/detector/src/G4VPrimitiveScorer.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4VPrimitiveScorer.cc,v 1.2 2006/06/29 18:06:03 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // G4VPrimitiveScorer
Index: trunk/source/digits_hits/detector/src/G4VReadOutGeometry.cc
===================================================================
--- trunk/source/digits_hits/detector/src/G4VReadOutGeometry.cc	(revision 1202)
+++ trunk/source/digits_hits/detector/src/G4VReadOutGeometry.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4VReadOutGeometry.cc,v 1.2 2006/06/29 18:06:05 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 
Index: trunk/source/digits_hits/detector/src/G4VSDFilter.cc
===================================================================
--- trunk/source/digits_hits/detector/src/G4VSDFilter.cc	(revision 1202)
+++ trunk/source/digits_hits/detector/src/G4VSDFilter.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4VSDFilter.cc,v 1.2 2006/06/29 18:06:08 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // G4VSensitiveDetector
Index: trunk/source/digits_hits/detector/src/G4VSensitiveDetector.cc
===================================================================
--- trunk/source/digits_hits/detector/src/G4VSensitiveDetector.cc	(revision 1202)
+++ trunk/source/digits_hits/detector/src/G4VSensitiveDetector.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4VSensitiveDetector.cc,v 1.3 2006/06/29 18:06:11 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // G4VSensitiveDetector
